SliceFromReadCommand (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db
Class SliceFromReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand
          org.apache.cassandra.db.SliceFromReadCommand

All Implemented Interfaces:
  MessageProducer, IReadCommand

Direct Known Subclasses:
  RetriedSliceFromReadCommand

    public class SliceFromReadCommand

extends ReadCommand

Field Summary
`int` | `count`
`java.nio.ByteBuffer` | `finish`
`boolean` | `reversed`
`java.nio.ByteBuffer` | `start`

Fields inherited from class org.apache.cassandra.db.ReadCommand
`CMD_TYPE_GET_SLICE, CMD_TYPE_GET_SLICE_BY_NAMES, commandType, key, queryPath, table`

Constructor Summary
`SliceFromReadCommand(java.lang.String table, java.nio.ByteBuffer key, ColumnParent column_parent, java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed, int count)`
`SliceFromReadCommand(java.lang.String table, java.nio.ByteBuffer key, QueryPath path, java.nio.ByteBuffer start, java.nio.ByteBuffer finish, boolean reversed, int count)`

Method Summary
`ReadCommand` | `copy()`
`protected int` | `getOriginalRequestedCount()` The original number of columns requested by the user.
`Row` | `getRow(Table table)`
`ReadCommand` | `maybeGenerateRetryCommand(RepairCallback handler, Row row)`
`void` | `maybeTrim(Row row)`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.cassandra.db.ReadCommand
`getColumnFamilyName, getComparator, getKeyspace, getMessage, isDigestQuery, serializer, setDigestQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### start

    public final java.nio.ByteBuffer start

### finish

    public final java.nio.ByteBuffer finish

### reversed

    public final boolean reversed

### count

    public final int count

Constructor Detail

### SliceFromReadCommand

    public SliceFromReadCommand(java.lang.String table,
                                java.nio.ByteBuffer key,
                                ColumnParent column_parent,
                                java.nio.ByteBuffer start,
                                java.nio.ByteBuffer finish,
                                boolean reversed,
                                int count)

### SliceFromReadCommand

    public SliceFromReadCommand(java.lang.String table,
                                java.nio.ByteBuffer key,
                                QueryPath path,
                                java.nio.ByteBuffer start,
                                java.nio.ByteBuffer finish,
                                boolean reversed,
                                int count)

Method Detail

### copy

    public ReadCommand copy()

  Specified by:
    `copy` in class `ReadCommand`

### getRow

    public Row getRow(Table table)
               throws java.io.IOException

  Specified by:
    `getRow` in class `ReadCommand`
  Throws:
    `java.io.IOException`

### maybeGenerateRetryCommand

    public ReadCommand maybeGenerateRetryCommand(RepairCallback handler,
                                                 Row row)

  Overrides:
    `maybeGenerateRetryCommand` in class `ReadCommand`

### maybeTrim

    public void maybeTrim(Row row)

  Overrides:
    `maybeTrim` in class `ReadCommand`

### getOriginalRequestedCount

    protected int getOriginalRequestedCount()

  The original number of columns requested by the user. This can be different from count when the slice command is a retry (see RetriedSliceFromReadCommand)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation